<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:18 PST 2005 -->
<TITLE>
: org.eclipse.wst.rdb.internal.models.sql.constraints.impl Class Hierarchy
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/util/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.eclipse.wst.rdb.internal.models.sql.constraints.impl
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies: </B><DD><A HREF="../../../../../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">class java.lang.Object<UL>
<LI TYPE="circle">class org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EObjectImpl (implements org.eclipse.emf.ecore.EObject)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.EFactory)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html"><B>SQLConstraintsFactoryImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A>)
</UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<UL>
<LI TYPE="circle">class org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsPackageImpl.html"><B>SQLConstraintsPackageImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>)
</UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.schema.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/impl/SQLObjectImpl.html"><B>SQLObjectImpl</B></A> (implements org.eclipse.emf.ecore.sdo.InternalEDataObject, org.eclipse.wst.rdb.internal.models.sql.schema.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ConstraintImpl.html"><B>ConstraintImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/Constraint.html">Constraint</A>)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/AssertionImpl.html"><B>AssertionImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/Assertion.html">Assertion</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/TableConstraintImpl.html"><B>TableConstraintImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/TableConstraint.html">TableConstraint</A>)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/CheckConstraintImpl.html"><B>CheckConstraintImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/CheckConstraint.html">CheckConstraint</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ReferenceConstraintImpl.html"><B>ReferenceConstraintImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/ReferenceConstraint.html">ReferenceConstraint</A>)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ForeignKeyImpl.html"><B>ForeignKeyImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/ForeignKey.html">ForeignKey</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/UniqueConstraintImpl.html"><B>UniqueConstraintImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/UniqueConstraint.html">UniqueConstraint</A>)
<UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/PrimaryKeyImpl.html"><B>PrimaryKeyImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/PrimaryKey.html">PrimaryKey</A>)
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/IndexImpl.html"><B>IndexImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/Index.html">Index</A>)
<LI TYPE="circle">class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/IndexMemberImpl.html"><B>IndexMemberImpl</B></A> (implements org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/IndexMember.html">IndexMember</A>)
</UL>
</UL>
</UL>
</UL>
</UL>
</UL>
</UL>
</UL>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/util/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
